/*
 * Copyright (c) 2023-2024.   Das Land Schleswig-Holstein vertreten durch den Ministerpräsidenten
 * des Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung.
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.antragsraum.events;

import java.util.UUID;

import de.ozgcloud.antragsraum.proxy.InfoGrpcInformationNachricht;

public class NachrichtEventTestFactory {
	public static final String ID = UUID.randomUUID().toString();
	public static final String POSTFACH_ID = UUID.randomUUID().toString();
	public static final String URL = "http://localhost";

	public static NachrichtEvent createNachrichtEvent() {
		return createNachrichtEventBuilder().build();
	}

	public static NachrichtEvent.NachrichtEventBuilder createNachrichtEventBuilder() {
		return NachrichtEvent.builder()
		  .id(ID)
		  .postfachId(POSTFACH_ID)
		  .address(URL);
	}

	public static InfoGrpcInformationNachricht createInfoGrpcInformationNachricht() {
		var nachricht = new InfoGrpcInformationNachricht();
		nachricht.setId(ID);
		nachricht.setPostfachId(POSTFACH_ID);
		nachricht.setOzgCloudAddress(URL);
		return nachricht;
	}
}