/*
 * Copyright (c) 2023-2024.
 * Das Land Schleswig-Holstein vertreten durch den Ministerpräsidenten des Landes Schleswig-Holstein Staatskanzlei Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.antragsraum.nachricht;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

class TrustLevelMapperTest {
	@Test
	void shouldMapLowTrustLevel() {
		assertThat(TrustLevelMapper.map(TrustLevelMapper.TRUST_LEVEL_LOW)).isEqualTo(TrustLevelMapper.TRUST_LEVEL_LOW);
	}

	@Test
	void shouldMapSubstantialTrustLevel() {
		assertThat(TrustLevelMapper.map(TrustLevelMapper.TRUST_LEVEL_SUBSTANTIAL)).isEqualTo(TrustLevelMapper.TRUST_LEVEL_SUBSTANTIAL);
	}

	@Test
	void shouldMapHighTrustLevel() {
		assertThat(TrustLevelMapper.map(TrustLevelMapper.TRUST_LEVEL_HIGH)).isEqualTo(TrustLevelMapper.TRUST_LEVEL_HIGH);
	}

	@Test
	void shouldMapLevel1TrustLevel() {
		assertThat(TrustLevelMapper.map(TrustLevelMapper.TRUST_LEVEL_STORK_QAA_LEVEL_1)).isEqualTo(TrustLevelMapper.TRUST_LEVEL_LOW);
	}

	@Test
	void shouldMapLevel2TrustLevel() {
		assertThat(TrustLevelMapper.map(TrustLevelMapper.TRUST_LEVEL_STORK_QAA_LEVEL_2)).isEqualTo(TrustLevelMapper.TRUST_LEVEL_LOW);
	}

	@Test
	void shouldMapLevel3TrustLevel() {
		assertThat(TrustLevelMapper.map(TrustLevelMapper.TRUST_LEVEL_STORK_QAA_LEVEL_3)).isEqualTo(TrustLevelMapper.TRUST_LEVEL_SUBSTANTIAL);
	}

	@Test
	void shouldMapLevel4TrustLevel() {
		assertThat(TrustLevelMapper.map(TrustLevelMapper.TRUST_LEVEL_STORK_QAA_LEVEL_4)).isEqualTo(TrustLevelMapper.TRUST_LEVEL_HIGH);
	}
}